# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sidewiki
Class SidewikiAuthor

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Person
                  com.google.gdata.data.sidewiki.SidewikiAuthor

All Implemented Interfaces:
  Extension, IPerson

    public class SidewikiAuthor

extends Person

Sidewiki author.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.Person
`Person.AtomHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.Person
`email, name, nameLang, uri`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SidewikiAuthor()` Default mutable constructor.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`SidewikiUserDescription` `getDescription()` Returns the Sidewiki author description.
`EntriesNumber` `getNumEntries()` Returns the entries number.
`Rating` `getRating()` Returns the user rating given by the user issued the request.
`ResourceId` `getResourceId()` Returns the Sidewiki author id.
`SidewikiThumbnail` `getThumbnail()` Returns the user portrait thumbnail url.
`boolean` `hasDescription()` Returns whether it has the Sidewiki author description.
`boolean` `hasNumEntries()` Returns whether it has the entries number.
`boolean` `hasRating()` Returns whether it has the user rating given by the user issued the request.
`boolean` `hasResourceId()` Returns whether it has the Sidewiki author id.
`boolean` `hasThumbnail()` Returns whether it has the user portrait thumbnail url.
`void` `setDescription(SidewikiUserDescription description)` Sets the Sidewiki author description.
`void` `setNumEntries(EntriesNumber numEntries)` Sets the entries number.
`void` `setRating(Rating rating)` Sets the user rating given by the user issued the request.
`void` `setResourceId(ResourceId resourceId)` Sets the Sidewiki author id.
`void` `setThumbnail(SidewikiThumbnail thumbnail)` Sets the user portrait thumbnail url.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.Person
`generate, generate, generateAtom, generateRss, getEmail, getHandler, getName, getNameLang, getUri, setEmail, setName, setNameLang, setUri`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SidewikiAuthor

    public SidewikiAuthor()

  Default mutable constructor.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getDescription

    public SidewikiUserDescription getDescription()

  Returns the Sidewiki author description.

  Returns:
    Sidewiki author description

### setDescription

    public void setDescription(SidewikiUserDescription description)

  Sets the Sidewiki author description.

  Parameters:
    `description` - Sidewiki author description or `null` to reset

### hasDescription

    public boolean hasDescription()

  Returns whether it has the Sidewiki author description.

  Returns:
    whether it has the Sidewiki author description

### getNumEntries

    public EntriesNumber getNumEntries()

  Returns the entries number.

  Returns:
    entries number

### setNumEntries

    public void setNumEntries(EntriesNumber numEntries)

  Sets the entries number.

  Parameters:
    `numEntries` - entries number or `null` to reset

### hasNumEntries

    public boolean hasNumEntries()

  Returns whether it has the entries number.

  Returns:
    whether it has the entries number

### getRating

    public Rating getRating()

  Returns the user rating given by the user issued the request.

  Returns:
    user rating given by the user issued the request

### setRating

    public void setRating(Rating rating)

  Sets the user rating given by the user issued the request.

  Parameters:
    `rating` - user rating given by the user issued the request or `null` to reset

### hasRating

    public boolean hasRating()

  Returns whether it has the user rating given by the user issued the request.

  Returns:
    whether it has the user rating given by the user issued the request

### getResourceId

    public ResourceId getResourceId()

  Returns the Sidewiki author id.

  Returns:
    Sidewiki author id

### setResourceId

    public void setResourceId(ResourceId resourceId)

  Sets the Sidewiki author id.

  Parameters:
    `resourceId` - Sidewiki author id or `null` to reset

### hasResourceId

    public boolean hasResourceId()

  Returns whether it has the Sidewiki author id.

  Returns:
    whether it has the Sidewiki author id

### getThumbnail

    public SidewikiThumbnail getThumbnail()

  Returns the user portrait thumbnail url.

  Returns:
    user portrait thumbnail url

### setThumbnail

    public void setThumbnail(SidewikiThumbnail thumbnail)

  Sets the user portrait thumbnail url.

  Parameters:
    `thumbnail` - user portrait thumbnail url or `null` to reset

### hasThumbnail

    public boolean hasThumbnail()

  Returns whether it has the user portrait thumbnail url.

  Returns:
    whether it has the user portrait thumbnail url

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`